Source: telepathy-ofono
Section: comm
Priority: optional
Maintainer: UBports developers <devs@ubports.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dbus-test-runner,
               dconf-cli,
               gnome-keyring,
               libmission-control-plugins-dev (>= 1:5.14.0),
               libofono-qt-dev (>= 1.5),
               libphonenumber-dev,
               libqt5sql5-sqlite,
               libtelepathy-qt5-dev (>= 0.9.3),
               libsqlite3-dev,
               qtbase5-dev (>= 5.0),
               sqlite3,
               telepathy-mission-control-5
Standards-Version: 3.9.4
Homepage: https://gitlab.com/ubports/core/packaging/telepathy-ofono
Vcs-Git: https://gitlab.com/ubports/core/packaging/telepathy-ofono.git
Vcs-Browser: https://gitlab.com/ubports/core/packaging/telepathy-ofono

Package: telepathy-ofono
Architecture: any
Depends: ofono,
         ${misc:Depends},
         ${shlibs:Depends},
Description: telepathy oFono connection manager
 telepathy-ofono is a Telepathy connection manager that makes it possible for
 Telepathy clients to communicate using oFono modems, enabling features like
 real phone calls and send and receive SMSs.

Package: telepathy-ofono-ril-mc-plugin
Conflicts: telepathy-ofono-on-ring-ril-mc-plugin
Architecture: amd64 i386 armhf arm64
Depends: telepathy-ofono,
         ${misc:Depends},
         ${shlibs:Depends},
         libhybris-utils
Description: telepathy oFono mission control plugin for ril modems
 This telepathy mission-control plugin is used to automatically provision
 telepathy-ofono accounts for each available ril modem.

Package: telepathy-ofono-on-ring-ril-mc-plugin
Conflicts: telepathy-ofono-ril-mc-plugin
Architecture: amd64 i386 armhf arm64
Depends: telepathy-ofono,
         ${misc:Depends},
         ${shlibs:Depends},
Description: telepathy oFono mission control plugin for ril modems
 This telepathy mission-control plugin is used to automatically provision
 telepathy-ofono accounts for each available ril modem.
